Project

General

Profile

Bug #16567

Bug #15957: Additional Software install step sometimes tries to download packages

Additional Software should upgrade packages after APT lists update

Added by alant 2 months ago. Updated 3 days ago.

Status:
Confirmed
Priority:
Normal
Assignee:
Category:
-
Target version:
Start date:
03/16/2019
Due date:
% Done:

0%

QA Check:
Info Needed
Feature Branch:
Type of work:
Code
Blueprint:
Starter:
Affected tool:
Additional Software Packages

Description

The package lists were updated manually or outside tails-additionnal-software and thus bypassed its mechanism to rollback to the old one in case of failure.

Scenarios:

  • case A: package lists were updated manually by running apt update
  • case B: the package lists were updated manually or outside tails-additionnal-software and thus bypassed its mechanism to rollback to the old one in case of failure

Related issues

Related to Tails - Bug #16566: Additional Software upgrade fails when APT lists are not uptodate at startup Confirmed 03/16/2019

History

#1 Updated by intrigeri 2 months ago

I understand #16566 is meant to cover case C, so isn't this ticket about cases A and B, rather than B and C?

#2 Updated by alant 2 months ago

  • Description updated (diff)
  • QA Check set to Dev Needed

#3 Updated by alant 2 months ago

intrigeri wrote:

I understand #16566 is meant to cover case C, so isn't this ticket about cases A and B, rather than B and C?

Yes indeed, I updated the description.

#4 Updated by alant 2 months ago

I think is only necessary for this scenario: I'm online preparing Tails ASP for a specific task. I'm running apt update or starting Synaptic and there are new versions of packages that I already configured as ASP. At this point everything looks good.

Then I restart my Tails offline, and some of my ASP fail to install.

Note that of I go online at some point, the situation would be solved by case C (#16567).

I don't know if we consider this as a corner case or not.

#5 Updated by alant about 2 months ago

  • QA Check changed from Dev Needed to Info Needed

I sent a mail to take a decision on tails-dev ML

#6 Updated by u about 1 month ago

  • Related to Bug #16566: Additional Software upgrade fails when APT lists are not uptodate at startup added

#7 Updated by u about 1 month ago

alant wrote:

I sent a mail to take a decision on tails-dev ML

Quoting your mail

A bug was found in Additional Software Packages (ASP) that make the
install fail if APT lists are updated outside ASP and they reference new
version of ASP installed packages. This is likely to happen every new
Tails release. This is now solved when the user is connecting to the
network after the failed installation (#16566).

I think the remaining issue (#16567) is for this scenario: I'm online
preparing Tails ASP for a specific task. I'm running apt update or
starting Synaptic and there are new versions of packages that I already
configured as ASP. At this point everything looks good.

Then I restart my Tails offline, and some of my ASP fail to install.

Note that of I go online at some point, the situation would be solved by
case C (#16567).

Quoting sajolida's reply:


So if I understand correctly, it means that this bug in Additional
Software would affect only hardcore offline/airgapped users. This is
none of our personas and thus we should treat this as low priority.

#8 Updated by CyrilBrulebois 3 days ago

  • Target version changed from Tails_3.14 to Tails_3.15

Also available in: Atom PDF